summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2018-09-29 11:23:18 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2018-09-29 12:48:14 +0100
commitf1d68d5945334f10b96a94f129556656b1543dd8 (patch)
treebc4c1a9ef6bbe322247840eb93334508e4c157b6 /tests
parent461ac887006c3e2e4e430f9cca41c0fe2fa0a8fc (diff)
test suite: i18n-messages: Test message translation
We test just one of the messages I provided for en_US.UTF-8. That's probably sufficient. Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/tests/i18n-messages41
1 files changed, 41 insertions, 0 deletions
diff --git a/tests/tests/i18n-messages b/tests/tests/i18n-messages
new file mode 100755
index 0000000..f2aaa87
--- /dev/null
+++ b/tests/tests/i18n-messages
@@ -0,0 +1,41 @@
+#!/bin/bash
+set -e
+autoimport=
+. tests/lib
+
+t-dependencies NO-DGIT GDR
+t-restrict x-dgit-out-of-tree-only
+# We don't run this test in-tree because:
+# 1. The .mo files that we would use might need to be built
+# and would certainly have to be `installed' somewhere we
+# could reference them. We could do that here maybe,
+# but it would risk dirtying the tree because the i18n
+# machinery is dirtying, and also:
+# 2. The locale system does not provide a path-like variable
+# we could use to point to our not-yet-installed .mo files.
+# There is LOCPATH but setting it breaks everything because
+# it disables `locale archives' and those are what provides
+# important infrastructure.
+
+t-setup-import gdr-convert-gbp-noarchive
+
+cd $p
+
+t-gdr-prep-new-upstream 2.1
+git tag v2.1 upstream
+
+git branch startpoint
+v=2.1-1
+
+git checkout master
+
+anchor=$(t-git-debrebase anchor)
+
+t-expect-fail F:'old anchor is recognised' \
+t-git-debrebase --anchor=$anchor new-upstream 2.1
+
+expect_fail_lcmessages=en_US.UTF-8
+t-expect-fail F:'old anchor is recognized' \
+t-git-debrebase --anchor=$anchor new-upstream 2.1
+
+t-ok